Data Replication 2
Results 1 to 9 of 9

Thread: Thin ODBC Client

  1. #1
    Optimdev is offline Junior Member
    Join Date
    Jan 2011
    Posts
    21
    Rep Power
    0

    Thin ODBC Client

    Hi All,
    I have Attunity server 4.8 installed on windows 2003 machine.I have create a ddatasource on that windows machine to access the Optim archived data .I have also configured a ODBC on that same machine.
    Now i want to access the data using Attunity from a client machine. I installed Aattunity ODBC thin client on the Windows XP machine. Now I am trying to configure a DSN(ODBC) to point to the Attunity server.But the problem is that i do not have the attunity drivers installed even after installing ODBC thin client.Can somebody help?

  2. #2
    Gadi.Farhat is offline Development Manager
    Join Date
    Mar 2009
    Posts
    255
    Rep Power
    11
    Hi,

    Is the windows on which you installed the ODBC client x64 or x86 machine? If it is an x64 machine then, are you running the 64-bit or the 32-bit ODBC Administrator?


    Regards,

    Gadi
    To Find Out more About Attunity Technology:
    Attunity
    or:
    Contact Us

  3. #3
    Optimdev is offline Junior Member
    Join Date
    Jan 2011
    Posts
    21
    Rep Power
    0
    Thanks fro the reply.I am on windows XP 32 bit machine and running 32 bit ODBC administrator.

  4. #4
    Gadi.Farhat is offline Development Manager
    Join Date
    Mar 2009
    Posts
    255
    Rep Power
    11
    Verify that you run the installation from an Adinistrator user account.

    Regards,

    Gadi
    To Find Out more About Attunity Technology:
    Attunity
    or:
    Contact Us

  5. #5
    Optimdev is offline Junior Member
    Join Date
    Jan 2011
    Posts
    21
    Rep Power
    0
    Yes as u said it was a privileges issue which got resolved few days back.Thanks a lot for pointing in the right direction.
    I have another question for you. As i said earlier i have attunity server installed on windows 2003 machine(32 Bit) .I have also created a data source on it.
    Now i want to access the datasource on windows 2003 machine from a ODBC compliant software which is installed on a HP-UX 64 bit.SO should i install a ODBC thin client on HP -UX machine.if so what are the steps for it? i.e. should i use ODBC unix manager etc..where to get THin ODBC client 64 bit client for Unix etc...
    Thanks a lot......

  6. #6
    Gadi.Farhat is offline Development Manager
    Join Date
    Mar 2009
    Posts
    255
    Rep Power
    11
    Hi,

    The thin ODBC client is not available on HP-UX in version 4.8. It is supported only in latter versions but alternatively, you may install a full Attunity server, it includes the ODBC client.

    Regarding the way to work with the ODBC client, whether to use an ODBC driver manager or not, depends on the application you are using. Anyway, the odbc driver manager or the odbc application should point to the full path of the Attunity ODBC client sharable.

    Regards,

    Gadi
    To Find Out more About Attunity Technology:
    Attunity
    or:
    Contact Us

  7. #7
    Optimdev is offline Junior Member
    Join Date
    Jan 2011
    Posts
    21
    Rep Power
    0
    Thanks.....I got in touch with Optim Support and they gave me a 5.3 Attunity Thin ODBC client for installing on the HP UX 64 bit.But the Attunity server i have installed on the windows machine is 4.8.Will it work i.e. backward compatible?
    Also if possible can you give me the detailed steps for installing Iodbc on HP-UX 64 bit and also ODBC thin Client?

  8. #8
    Costi Zaboura is offline World Wide Support Manager
    Join Date
    Aug 2006
    Posts
    300
    Rep Power
    14
    Hi
    I would suggest that you conatct our support team staff and they can certainly help guiding you through that.

    Thx
    Costi
    To Find Out more About Attunity Technology:
    Attunity
    or:
    Contact Us

  9. #9
    Join Date
    Sep 2006
    Posts
    233
    Rep Power
    10
    >> But the Attunity server i have installed on the windows machine is 4.8.Will it work i.e. backward compatible?

    A server with version 4.8 may fail to work with a newer client as the client may use a newer protocol which the 4.8 server may not recognize. In other words, the server is backwards compatible but not forward compatible.
    By Dror Harari

    To Find Out more About Attunity Technology:
    Attunity
    or:
    Contact Us

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •